gi-gdk-3.0.29: Gdk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Gdk.Structs.TimeCoord

Contents

- Exported types
- Methods
- Properties
  - time

Description

A `TimeCoord` stores a single event in a motion history.

Synopsis

- newtype TimeCoord = TimeCoord (ManagedPtr TimeCoord)
- newZeroTimeCoord :: MonadIO m => m TimeCoord
- getTimeCoordTime :: MonadIO m => TimeCoord -> m Word32
- setTimeCoordTime :: MonadIO m => TimeCoord -> Word32 -> m ()

# Exported types

newtype TimeCoord Source #

Memory-managed wrapper type.

Constructors

TimeCoord (ManagedPtr TimeCoord) |

#### Instances

Instances details

Eq TimeCoord Source # |
Instance details Defined in GI.Gdk.Structs.TimeCoord Methods (==) :: TimeCoord -> TimeCoord -> Bool Source # (/=) :: TimeCoord -> TimeCoord -> Bool Source #
BoxedPtr TimeCoord Source # |
Instance details Defined in GI.Gdk.Structs.TimeCoord Methods boxedPtrCopy :: TimeCoord -> IO TimeCoord Source # boxedPtrFree :: TimeCoord -> IO () Source #
CallocPtr TimeCoord Source # |
Instance details Defined in GI.Gdk.Structs.TimeCoord Methods boxedPtrCalloc :: IO (Ptr TimeCoord) Source #
ManagedPtrNewtype TimeCoord Source # |
Instance details Defined in GI.Gdk.Structs.TimeCoord Methods toManagedPtr :: TimeCoord -> ManagedPtr TimeCoord Source #
tag ~ 'AttrSet => Constructible TimeCoord tag Source # |
Instance details Defined in GI.Gdk.Structs.TimeCoord Methods new :: MonadIO m => (ManagedPtr TimeCoord -> TimeCoord) -> [AttrOp TimeCoord tag] -> m TimeCoord Source #

newZeroTimeCoord :: MonadIO m => m TimeCoord Source #

Construct a `TimeCoord` struct initialized to zero.

# Methods

# Properties

## time

The timestamp for this event.

getTimeCoordTime :: MonadIO m => TimeCoord -> m Word32 Source #

Get the value of the “`time`” field. When overloading is enabled, this is equivalent to

    get timeCoord #time

setTimeCoordTime :: MonadIO m => TimeCoord -> Word32 -> m () Source #

Set the value of the “`time`” field. When overloading is enabled, this is equivalent to

    set timeCoord [ #time := value ]